Disable Language for Rewards

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

Prerequisites

  • Authentication: Basic or OAuth credentials
  • Default access group

Resource information

FieldValue
URLhttps\://{{eu}}/api\_gateway/rewards/core/v1/metadata/language/12/status/disable
HTTP methodPUT
PaginationNA
Rate limitNA

Example API cURL

curl --location --request PUT 'https://eu.api.capillarytech.com/api_gateway/rewards/core/v1/metadata/language/12/status/disable' \
--header 'Content-Type: application/json' \
--header 'Accept: */*' \
--header 'Authorization: Basic Z2VvcmdlLmpvaG5zb246OTg4OTU2NWI4ODVhMmY4ZWE1MTk1MjA2NWEwYTEzNzg=' \
--header 'Cookie: _cfuvid=Vo40i2sQt2b9D_BbvyU32Wbvu39g2t0iystT.W9RDJ0-1751522911573-0.0.1.1-604800000' \
--data ''

Path parameters

ParameterData TypeDescription
Language codeStringRepresents the language code for example: "en" "fr".
Note : These languages codes are not the standard language codes and can be created for your organization as per the requirement.

Response parameters

ParameterData TypeDescription
statusObjectAn object containing the status of the response.
successBooleanIndicates whether the request was successful.
codeIntegerA specific code indicating the result of the operation.
messageStringA descriptive message providing more information about the status.
{
    "status": {
        "success": true,
        "code": 2016,
        "message": "Language updated successfully"
    }
}

API specific error codes

CodeDescriptionReason
2016Language updated successfullyThe language status (disabled/enabled) was successfully updated.
2104Language not foundThe specified language code does not exist.
400Invalid RequestThe request parameters or format were invalid.
404Resource not foundThe requested API endpoint or resource does not exist.
500UNEXPECTED_ERRORAn unexpected error occurred on the server.
Headers
string
string
string
Responses

400

Bad Request

401

Unauthorized

403

Forbidden

404

Not Found

500

Internal Server Error

Language
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json